[arch-commits] Commit in libxres/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 20:32:05 EDT 2009


    Date: Tuesday, April 14, 2009 @ 20:32:05
  Author: eric
Revision: 35650

Merged revisions 356,35643 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxres/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35643 | eric | 2009-04-14 19:58:59 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxres 1.0.3-2
      Added license
........

Modified:
  libxres/repos/extra-i686/	(properties)
  libxres/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: libxres/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxres/trunk:1
   + /libxres/trunk:1-35649

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-15 00:23:55 UTC (rev 35649)
+++ extra-i686/PKGBUILD	2009-04-15 00:32:05 UTC (rev 35650)
@@ -3,20 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxres
 pkgver=1.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Resource extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org"
+license=('custom')
 depends=('libxext')
 makedepends=('pkgconfig' 'resourceproto' 'damageproto' 'compositeproto' 'scrnsaverproto')
 options=(!libtool)
 source=(${url}/releases/individual/lib/libXres-${pkgver}.tar.bz2)
+md5sums=('de66ffb657aba64c9d6dbdeabb757f3e')
 
 build() {
-  cd ${startdir}/src/libXres-${pkgver}
+  cd ${srcdir}/libXres-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-md5sums=('de66ffb657aba64c9d6dbdeabb757f3e')



More information about the arch-commits mailing list